Debian Bug report logs - #369852
policycoreutils: incorrect syntax in genhomedircon

version graph

Package: policycoreutils; Maintainer for policycoreutils is Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>; Source for policycoreutils is src:policycoreutils.

Reported by: Piotr Meyer <aniou@smutek.pl>

Date: Thu, 1 Jun 2006 19:33:08 UTC

Severity: normal

Found in version policycoreutils/1.30-2

Fixed in version policycoreutils/1.30.25-1

Done: Manoj Srivastava <srivasta@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Manoj Srivastava <srivasta@debian.org>:
Bug#369852; Package policycoreutils. Full text and rfc822 format available.

Acknowledgement sent to Piotr Meyer <aniou@smutek.pl>:
New Bug report received and forwarded. Copy sent to Manoj Srivastava <srivasta@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Piotr Meyer <aniou@smutek.pl>
To: submit@bugs.debian.org
Subject: policycoreutils: incorrect syntax in genhomedircon
Date: Thu, 1 Jun 2006 21:30:19 +0200
Package: policycoreutils
Version: 1.30-2

Debian version: testing/unstable

python2.3 and python2.4 complains about problems with genhomedircon:

# python2.4 /usr/sbin/genhomedircon
  File "/usr/sbin/genhomedircon", line 35
    except:
         ^
SyntaxError: invalid syntax

# python2.3 /usr/sbin/genhomedircon
  File "/usr/sbin/genhomedircon", line 35
    except:
         ^
SyntaxError: invalid syntax

Looks like code from line 30 should be in form:

--cut--
try:
        fd=open("/etc/shells", 'r')
        VALID_SHELLS=fd.read().split('\n')
        fd.close()
        if "/sbin/nologin" in VALID_SHELLS:
                VALID_SHELLS.remove("/sbin/nologin")
except:
        VALID_SHELLS = ['/bin/sh', '/bin/bash', '/bin/ash', '/bin/bsh', '/bin/ksh', '/usr/bin/ksh', '/usr/bin/pdksh', '/bin/tcsh', '/bin/csh', '/bin/zsh']
--cut--

rather than (in current):

--cut--
fd=open("/etc/shells", 'r')
VALID_SHELLS=fd.read().split('\n')
fd.close()
if "/sbin/nologin" in VALID_SHELLS:
        VALID_SHELLS.remove("/sbin/nologin")
except:
        VALID_SHELLS = ['/bin/sh', '/bin/bash', '/bin/ash', '/bin/bsh', '/bin/ksh', '/usr/bin/ksh', '/usr/bin/pdksh', '/bin/tcsh', '/bin/csh', '/bin/zsh']
--cut--

-- 
Piotr 'aniou' Meyer



Information forwarded to debian-bugs-dist@lists.debian.org, Manoj Srivastava <srivasta@debian.org>:
Bug#369852; Package policycoreutils. Full text and rfc822 format available.

Acknowledgement sent to Uwe Hermann <uwe@hermann-uwe.de>:
Extra info received and forwarded to list. Copy sent to Manoj Srivastava <srivasta@debian.org>. Full text and rfc822 format available.

Message #10 received at 369852@bugs.debian.org (full text, mbox):

From: Uwe Hermann <uwe@hermann-uwe.de>
To: Piotr Meyer <aniou@smutek.pl>
Cc: srivasta@debian.org, 369852@bugs.debian.org
Subject: Re: policycoreutils: incorrect syntax in genhomedircon
Date: Sat, 10 Jun 2006 02:31:43 +0200
[Message part 1 (text/plain, inline)]
Hi,

I can confirm that the bug exists (I use policycoreutils 1.30-2), that
it prevents selinux-policy-default from installing correctly, and that the
proposed fix works. After changing /usr/sbin/genhomedircon as suggested,
a re-run of "apt-get install selinux-policy-default" works just fine.


HTH, Uwe.
-- 
Uwe Hermann 
http://www.hermann-uwe.de
http://www.it-services-uh.de  | http://www.crazy-hacks.org 
http://www.holsham-traders.de | http://www.unmaintained-free-software.org
[signature.asc (application/pgp-signature, inline)]

Reply sent to Manoj Srivastava <srivasta@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Piotr Meyer <aniou@smutek.pl>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 369852-close@bugs.debian.org (full text, mbox):

From: Manoj Srivastava <srivasta@debian.org>
To: 369852-close@bugs.debian.org
Subject: Bug#369852: fixed in policycoreutils 1.30.25-1
Date: Sat, 12 Aug 2006 22:19:34 -0700
Source: policycoreutils
Source-Version: 1.30.25-1

We believe that the bug you reported is fixed in the latest version of
policycoreutils, which is due to be installed in the Debian FTP archive:

policycoreutils_1.30.25-1.diff.gz
  to pool/main/p/policycoreutils/policycoreutils_1.30.25-1.diff.gz
policycoreutils_1.30.25-1.dsc
  to pool/main/p/policycoreutils/policycoreutils_1.30.25-1.dsc
policycoreutils_1.30.25-1_i386.deb
  to pool/main/p/policycoreutils/policycoreutils_1.30.25-1_i386.deb
policycoreutils_1.30.25.orig.tar.gz
  to pool/main/p/policycoreutils/policycoreutils_1.30.25.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 369852@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Manoj Srivastava <srivasta@debian.org> (supplier of updated policycoreutils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 12 Aug 2006 23:52:53 -0500
Source: policycoreutils
Binary: policycoreutils
Architecture: source i386
Version: 1.30.25-1
Distribution: unstable
Urgency: low
Maintainer: Manoj Srivastava <srivasta@debian.org>
Changed-By: Manoj Srivastava <srivasta@debian.org>
Description: 
 policycoreutils - SELinux core policy utilities
Closes: 369852 372543
Changes: 
 policycoreutils (1.30.25-1) unstable; urgency=low
 .
   * New upstream point release.
     * Merged patch from Dan Walsh with:
       * audit2allow: process MAC_POLICY_LOAD events
       * newrole:  run shell with - prefix to start a login shell
       * po:  po file updates
       * restorecond:  bail if SELinux not enabled
       * fixfiles: omit -q
       * genhomedircon:  fix exit code if non-root
       * semodule_deps:  install man page
     * Merged secon Makefile fix from Joshua Brindle.
     * Merged netfilter contexts support patch from Chris PeBenito.
     * Merged restorecond size_t fix from Joshua Brindle.
     * Merged secon keycreate patch from Michael LeMay.
     * Merged restorecond fixes from Dan Walsh.
       Merged updated po files from Dan Walsh.
     * Merged python gettext patch from Stephen Bennett.
     * Merged semodule_deps from Karl MacMillan.
     * Lindent.
     * Merged patch from Dan Walsh with:
       * -p option (progress) for setfiles and restorecon.
       * disable context translation for setfiles and restorecon.
       * on/off values for setsebool.
     * Merged setfiles and semodule_link fixes from Joshua Brindle.
     * Merged fix for setsebool error path from Serge Hallyn.
     * Merged patch from Dan Walsh with:
     *    Updated po files.
     *    Fixes for genhomedircon and seobject.
     *    Audit message for mass relabel by setfiles.
     * Updated fixfiles script for new setfiles location in /sbin.
     * Merged more translations from Dan Walsh.
     * Merged patch to relocate setfiles to /sbin for early relabel
       when /usr might not be mounted from Dan Walsh.
     * Merged semanage/seobject patch to preserve fcontext ordering in list.
     * Merged secon patch from James Antill.
     * Merged patch with updates to audit2allow, secon, genhomedircon,
       and semanage from Dan Walsh.
     * Fixed audit2allow and po Makefiles for DESTDIR= builds.
     * Merged .po file patch from Dan Walsh.
     * Merged bug fix for genhomedircon.
     * Merged patch from Dan Walsh.
       This includes audit2allow changes for analysis plugins,
       internationalization support for several additional programs
       and added po files, some fixes for semanage, and several cleanups.
       It also adds a new secon utility.
     * Merged fix warnings patch from Karl MacMillan.
     * Merged semanage prefix support from Russell Coker.
     * Added a test to setfiles to check that the spec file is
       a regular file.
     * Merged audit2allow fixes for refpolicy from Dan Walsh.
     * Merged fixfiles patch from Dan Walsh.
     * Merged restorecond daemon from Dan Walsh.
     * Merged semanage non-MLS fixes from Chris PeBenito.
     * Merged semanage and semodule man page examples from Thomas Bleher.
     * Merged semanage labeling prefix patch from Ivan Gyurdiev.
   * Bug fix: "ImportError: No module named semanage", thanks to Uwe
     Hermann. Since the new semanage package has moved to the new Python
     policy, and we depend on it, this issue is resolved.  (Closes: #372543).
   * Bug fix: "policycoreutils: incorrect syntax in genhomedircon", thanks
     to Piotr Meyer. The new point release fixes this.     (Closes: #369852).
   * Remove support for restorecond, since we do not have support for
     inotify in glibc (glibc 2.4 is sitting in experimental)
Files: 
 02def2d7f69ef8f3511e4b2bbd39a65d 702 utils optional policycoreutils_1.30.25-1.dsc
 bb916682b2c22502e82ba50e566657d4 222974 utils optional policycoreutils_1.30.25.orig.tar.gz
 8590e8e3b09b79f39b01d64ad2874483 51847 utils optional policycoreutils_1.30.25-1.diff.gz
 b5207d3a4ec899ebfe335750326434e7 335882 utils optional policycoreutils_1.30.25-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFE3rGOIbrau78kQkwRAv50AJ9qUPODIZHofX+5jyQISUg6evK1DACggiv4
MeOxAmqvmlumYpRBQcjDWKk=
=PwzF
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 20:40:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:21:24 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.